/* --------------------------- INTUIT CONFIDENTIAL ---------------------------

	quickzoomTx.js

	Written by		Date 
	Jason Harris	01/27/10
	
	Revised by		Date		Summary of changes
	Lane Roathe		06/22/10	[DE1411] check window.viewController usage to fix deferred printing
								(Some reports do not have a viewController or attached method)

	Copyright 2010 Intuit, Inc All rights reserved. Unauthorized
	reproduction is a violation of applicable law. This material contains
	certain confidential and proprietary information and trade secrets of
	Intuit, Inc.
		
	RESTRICTED RIGHTS LEGEND
		
	Use, duplication, or disclosure by the Government is subject to
	restrictions as set forth in subdivision (b) (3) (ii) of the Rights in
	Technical Data and Computer Software clause at 52.227-7013.
		
	Intuit, Inc
	P.O. Box 7850
	Mountain View, CA 94039-7850

----------------------------- INTUIT CONFIDENTIAL ------------------------- */

function QuickZoomTransactionsInit()
{
	var transactionRows = $(".transactionRow");
	
	transactionRows.hover(
		function()
		{
			var element = $(this);
			element.addClass("quickzoom");
		},
		function()
		{
			var element = $(this);
			element.removeClass("quickzoom");
		}
	);
	
	transactionRows.click(
		function()
		{
			var element = $(this);
			var quickenID = element.attr('quickenid');
			var date = element.attr('rawdate');
			if( window.viewController )
			{
				if (undefined != date && date.length > 0)
					window.viewController.DisplaySchedTx(quickenID, date);
				else
					window.viewController.DisplayTransaction(quickenID);
			}
			return false;
		}
	);
}
